Bug 583336 - [abrt] crash in preupgrade-1.1.4-1.fc12: preupgrade-gtk.py:725:updateProgress:AttributeError: 'NoneType' object has no attribute 'endswith'
[abrt] crash in preupgrade-1.1.4-1.fc12: preupgrade-gtk.py:725:updateProgress...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:ccd06d66
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-17 18:43 EDT by Greg Martyn
Modified: 2010-12-03 10:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:45:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.37 KB, text/plain)
2010-04-17 18:43 EDT, Greg Martyn
no flags Details

  None (edit)
Description Greg Martyn 2010-04-17 18:43:48 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/share/preupgrade/preupgrade-gtk.py
component: preupgrade
executable: /usr/share/preupgrade/preupgrade-gtk.py
kernel: 2.6.34-0.28.rc3.git3.fc14.x86_64
package: preupgrade-1.1.4-1.fc12
reason: preupgrade-gtk.py:725:updateProgress:AttributeError: 'NoneType' object has no attribute 'endswith'
release: Fedora release 12 (Constantine)
How to reproduce: 1. Try to install Fedora 13 beta with preupgrade

backtrace
-----
preupgrade-gtk.py:725:updateProgress:AttributeError: 'NoneType' object has no attribute 'endswith'

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 240, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 525, in main_preupgrade
    problems = self.pu.downloadPkgs(downloadpkgs)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1543, in downloadPkgs
    self.plugins.run('predownload', pkglist=pkglist)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 177, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/presto.py", line 581, in predownload_hook
    (problems, more) = downloadPkgs(conduit, pinfo, download_pkgs)
  File "/usr/lib/yum-plugins/presto.py", line 421, in downloadPkgs
    cb.start(text=text, size=rebuild_size)
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 758, in start
    self.updateProgress(basename,0.0,'','')
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 725, in updateProgress
    if name.endswith('.rpm'):
AttributeError: 'NoneType' object has no attribute 'endswith'

Local variables in innermost frame:
frac: 0.0
self: <__main__.MultiDownloadProgress object at 0x3554290>
fread: ''
ftime: ''
name: None
Comment 1 Greg Martyn 2010-04-17 18:43:50 EDT
Created attachment 407327 [details]
File: backtrace
Comment 2 Jeffrey C. Ollie 2010-08-25 11:37:39 EDT
I've also seen this trying to upgrade from F13 to F14 alpha.
Comment 3 Bug Zapper 2010-11-03 12:52:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 10:45:25 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.